summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2016-01-07 21:30:51 -0800
committerGravatar Dirk Hohndel <dirk@hohndel.org>2016-01-07 21:30:51 -0800
commit0d9b22cf940463d670e42ea8321c18a69cbf0f26 (patch)
tree820d5dd72c167193e3da34cc60021d2c17276b77 /scripts
parenta7f8a7574e1fa6fd2422d151a3d5e3fc94586d5b (diff)
downloadsubsurface-0d9b22cf940463d670e42ea8321c18a69cbf0f26.tar.gz
build.sh: don't build Grantlee for Subsurface-mobile
Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build.sh42
1 files changed, 22 insertions, 20 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index 9db5c983d..2c470ef94 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -141,30 +141,32 @@ if [ $PLATFORM = Darwin ] ; then
fi
fi
-# build grantlee
+if [ "$SUBSURFACE_EXECUTABLE" = "DesktopExecutable" ] ; then
+ # build grantlee
-cd $SRC
+ cd $SRC
-if [ ! -d grantlee ] ; then
- if [[ $1 = local ]] ; then
- git clone $SRC/../grantlee grantlee
- else
- git clone git://subsurface-divelog.org/grantlee
+ if [ ! -d grantlee ] ; then
+ if [[ $1 = local ]] ; then
+ git clone $SRC/../grantlee grantlee
+ else
+ git clone git://subsurface-divelog.org/grantlee
+ fi
fi
+ cd grantlee
+ if ! git checkout v5.0.0 ; then
+ echo "can't check out v5.0.0 of grantlee -- giving up"
+ exit 1
+ fi
+ mkdir -p build
+ cd build
+ cmake -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=$INSTALL_ROOT \
+ -DBUILD__TESTS=NO \
+ $SRC/grantlee
+ make -j4
+ make install
fi
-cd grantlee
-if ! git checkout v5.0.0 ; then
- echo "can't check out v5.0.0 of grantlee -- giving up"
- exit 1
-fi
-mkdir -p build
-cd build
-cmake -DCMAKE_BUILD_TYPE=Release \
- -DCMAKE_INSTALL_PREFIX=$INSTALL_ROOT \
- -DBUILD__TESTS=NO \
- $SRC/grantlee
-make -j4
-make install
# pull the plasma-mobile components from upstream if building Subsurface-mobile
if [ "$SUBSURFACE_EXECUTABLE" = "MobileExecutable" ] ; then